package net.minecraft.core;

import com.mojang.serialization.Lifecycle;
import net.minecraft.resources.ResourceKey;

public abstract class WritableRegistry<T> extends Registry<T> {
    public WritableRegistry(final ResourceKey<Registry<T>> ug, final Lifecycle lifecycle) {
        super(ug, lifecycle);
    }
    
    public abstract <V extends T> V registerMapping(final int integer, final ResourceKey<T> ug, final V object);
    
    public abstract <V extends T> V register(final ResourceKey<T> ug, final V object);
    
    public abstract void setPersistent(final ResourceKey<T> ug);
}
